--AH:ScriptId=81A32834-C805-44BA-A676-5DBAEA13AA3A

ALTER TABLE [Feeds]
	ADD [ReplicationConfiguration_Xml] XML NULL
GO

UPDATE [Feeds]
   SET [ReplicationConfiguration_Xml] = (SELECT [@Assembly] = 'ProGetCoreEx',
                                                [Properties/@ClientMode] = CASE WHEN [ReplicationMode_Code] IN ('C', 'B') THEN 'Mirror' ELSE NULL END,
	                                            [Properties/@ServerMode] = CASE WHEN [ReplicationMode_Code] IN ('S', 'B') THEN 'ReadWrite' ELSE NULL END,
	                                            [Properties/@ClientToken] = CASE WHEN [ReplicationMode_Code] IN ('C', 'B') THEN CAST([SyncToken_Bytes] AS VARCHAR(200)) ELSE NULL END,
	                                            [Properties/@ServerToken] = CASE WHEN [ReplicationMode_Code] IN ('S', 'B') THEN CAST([SyncToken_Bytes] AS VARCHAR(200)) ELSE NULL END,
												[Properties/@SourceUrl] = CASE WHEN [ReplicationMode_Code] IN ('C', 'B') THEN [SyncTarget_Url] ELSE NULL END
                                            FOR XML PATH('Inedo.ProGet.Feeds.FeedReplicationConfiguration'))
 WHERE [ReplicationMode_Code] <> 'D'

GO

ALTER TABLE [Feeds]
	DROP CONSTRAINT [CK__Feeds__ReplicationMode_Code]
GO

ALTER TABLE [Feeds]
	DROP COLUMN [ReplicationMode_Code]

ALTER TABLE [Feeds]
	DROP COLUMN [SyncTarget_Url]

ALTER TABLE [Feeds]
	DROP COLUMN [SyncToken_Bytes]