IF OBJECT_ID('[FeedConnectors_Extended]') IS NOT NULL DROP VIEW [FeedConnectors_Extended]
GO

CREATE VIEW [FeedConnectors_Extended]
AS

SELECT F.[Feed_Id],
       F.[Feed_Name],
	   [Feed_Active_Indicator] = F.[Active_Indicator],
       C.[Connector_Name],
       C.[Connector_Id],
	   FC.[Sequence_Number],
	   C.[Connector_Url],
	   C.[FeedType_Name],
	   C.[IndexUpdated_Date],
	   C.[Status_Code],
	   C.[Package_Count],
	   C.[LastTest_Date],
	   C.[ConnectorConfiguration_Xml]
  FROM [FeedConnectors] FC
	   INNER JOIN [Feeds] F
	           ON F.[Feed_Id] = FC.[Feed_Id]
       INNER JOIN [Connectors] C
	           ON FC.[Connector_Id] = C.[Connector_Id]

GO